Debian 9948 Published by

A glance security update has been released for Debian GNU/Linux 10 LTS to address an issue that may result in unauthorized access to potentially sensitive data.



DLA 3300-1: glance security update



- -----------------------------------------------------------------------
Debian LTS Advisory DLA-3300-1 debian-lts@lists.debian.org
  https://www.debian.org/lts/security/ Utkarsh Gupta
January 31, 2023   https://wiki.debian.org/LTS
- -----------------------------------------------------------------------

Package : glance
Version : 2:17.0.0-5+deb10u1
CVE ID : CVE-2022-47951
Debian Bug : 1029563

An issue was discovered in Glance, OpenStack Image Registry and Delivery
Service - Daemons. By supplying a specially created VMDK flat image that
references a specific backing file path, an authenticated user may
convince systems to return a copy of that file's contents from the
server, resulting in unauthorized access to potentially sensitive data.

For Debian 10 buster, this problem has been fixed in version
2:17.0.0-5+deb10u1.

We recommend that you upgrade your glance packages.

For the detailed security status of glance please refer to
its security tracker page at:
  https://security-tracker.debian.org/tracker/glance

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at:   https://wiki.debian.org/LTS